% Dirk Oetting, 2014
function CU = CLSmodel_main()
global work

level = work.expvaract;

% These are the parameters that are used as the underlying loudness function
% Values are taken from 
% Oetting, Brand and Ewert (2014): Optimized loudness-function estimation for categorical % loudness scaling data, Hear Res., DOI:10.1016/j.heares.2014.07.003.

% The loudness function is for normal-hearing listeners at 1000 Hz for 1/3
% octave LNN is fitparams =[84.12 0.291 1.01]; 
fitparams = [84.12 0.291 1.01]; 

CU = loudness_function_bh2002(level,fitparams);

% model the subjective response:
% 4 CU is a typical standard deviation which can be observed in NH and HI
% listeners; see PhD thesis of Thomas Brand
% Brand T. (2000): Analysis and optimization of psychophysical procedures in audiology

CU = CU + 4*randn(1);

% assign to the available response categories between 0 and 50 CU
CU = round(CU/5)*5;
CU = min(50,CU);
CU = max(0,CU);
fprintf('response: %d CU\n',CU);
