% ACALOS_DE_msg - german message definition file -
% Version 1.30.0, last modified 16.04.2013 09:36
%
% ready_msg			displayed when ready for user response
% measure_msg		displayed when entering measurement phase
% correct_msg		displayed after correct response
% false_msg			displayed after false response
% maxvar_msg		displayed when maxvar is reached
% minvar_msg		displayed when minvar is reached
% start_msg			displayed when the experiment starts
% next_msg			displayed when the next parameter is presented
% finished_msg		displayed when the experiment is finished

% ------------------------------------------------------------------------------
%  Adaptive Categorical Loudness Scaling Procedure for AFC for Mathwork's MATLAB
% 
%  Author(s): Stephan Ewert, Dirk Oetting
% 
%  Copyright (c) 2013-2014, Stephan Ewert, Dirk Oetting
%  All rights reserved.
% 
%  This work is licensed under the 
%  Creative Commons Attribution-NonCommercial-NoDerivs 4.0 International License (CC BY-NC-ND 4.0). 
%  To view a copy of this license, visit
%  http://creativecommons.org/licenses/by-nc-nd/4.0/ or send a letter to Creative
%  Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
% ------------------------------------------------------------------------------

% DO 12.7.2013 German Translation

msg.correct_msg = '--- RICHTIG ---';
msg.false_msg = '--- FALSCH ---';



msg.measure_msg = 'Starte Messung...';
msg.maxvar_msg = 'Maximaler Wert erreicht!';
msg.minvar_msg= 'Minimaler Wert erreicht!';

msg.ready_msg    = {'Bitte geben Sie an,' ...
    'wie laut Sie das Signal',...
    'empfunden haben.'};
msg.start_msg    = {'Neue Messung gestartet.', ...
    'Bitte drcken Sie eine Taste um fortzufahren.'};
msg.next_msg     = {'Messung beendet.', ...
    'Drcken Sie "s", um eine neue Messung zu starten oder "e", um' ...
    'zu beenden.'};
msg.finished_msg = {'Experiment Beendet.', ...
    'Drcken Sie "e" um das Programm zu verlassen.'};

msg.experiment_windetail = 'Experiment: %s';
msg.measurement_windetail = 'Messung %d von %d';
msg.measurementsleft_windetail = '%d von %d Messungen brig';

msg.okButtonString = 'OK';
msg.startButtonString = 'Start(s)';
msg.endButtonString   = 'Ende(e)';

% DO: 18.2.2015 chagend to "zu laut" instead of "extremely loud"
% as in the medical OMA version
msg.buttonString = {...
    'nicht gehrt', ...
    'sehr leise',...
    '===',...
    'leise',...
    '=====',...
    'mittel',...
    '=======',...
    'laut',...
    '=========',...
    'sehr laut',...
    'zu laut'};

% eof
