% ACALOS_cfg - configuration file for custom procedure
% Version 1.30.0, last modified 16.04.2013 09:36

% ------------------------------------------------------------------------------
%  Adaptive Categorical Loudness Scaling Procedure for AFC for Mathwork's MATLAB
% 
%  Author(s): Stephan Ewert, Dirk Oetting
% 
%  Copyright (c) 2013-2014, Stephan Ewert, Dirk Oetting
%  All rights reserved.
% 
%  This work is licensed under the 
%  Creative Commons Attribution-NonCommercial-NoDerivs 4.0 International License (CC BY-NC-ND 4.0). 
%  To view a copy of this license, visit
%  http://creativecommons.org/licenses/by-nc-nd/4.0/ or send a letter to Creative
%  Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
% ------------------------------------------------------------------------------

% Add new configuration variables and their default values for the procedure here.
% Always include isfield check!
if ~isfield(def,'ACALOS_Iterations')
	def.ACALOS_Iterations = 2;		% Phases used in the estimation and presentation process
end

if ~isfield(def,'ACALOS_randomizeRangeEstimation')
	def.ACALOS_randomizeRangeEstimation = 0;		% Randomize order of presentations in initial up-down range estimation (typically used for interleaving)
end

if ~isfield(def,'ACALOS_levelRounding')
	def.ACALOS_levelRounding = 1;		% round levels ( 0 = not at all, 1 = 1 dB, 2 = 0.1 dB )
end


% Append all new configuration variables to list
% varname, type ( 0 = not numeric, 1 = numeric, 2 = both possible)
def.configurationVariableList = [def.configurationVariableList; { ...
  'ACALOS_Iterations',1; ...
  'ACALOS_randomizeRangeEstimation',1; ...
  'ACALOS_levelRounding',1; ...
}];
                                                                   
% eof
