% ACALOS_splashscreen - copyright and license information for custom procedure
% Version 1.40.0, last modified 01.08.2014 09:36

% ------------------------------------------------------------------------------
%  Adaptive Categorical Loudness Scaling Procedure for AFC for Mathwork's MATLAB
% 
%  Author(s): Stephan Ewert, Dirk Oetting
% 
%  Copyright (c) 2013-2014, Stephan Ewert, Dirk Oetting
%  All rights reserved.
% 
%  This work is licensed under the 
%  Creative Commons Attribution-NonCommercial-NoDerivs 4.0 International License (CC BY-NC-ND 4.0). 
%  To view a copy of this license, visit
%  http://creativecommons.org/licenses/by-nc-nd/4.0/ or send a letter to Creative
%  Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
% ------------------------------------------------------------------------------

function ACALOS_splashscreen( mode )

% early out?
if ( exist('acalosini.mat') == 2 )
    return;
end

if ( strcmp( mode,'accept' ) )
    ini = 2;
    % save MATLAB 4 compatible, so all 5,6,7 versions can read it
    save([fileparts(which(mfilename)), filesep, 'acalosini'],'ini','-V4');

    if ( ~isempty(findobj('Tag','acalos_splashscreen')))
        close(findobj('Tag','acalos_splashscreen'));
    end
    return;
end

colorblk = [0 0 0];
colorbase = [1 1 1];
colorstring = [0 0 0];

fposition = get(0,'defaultFigurePosition');
fposition(1:2) = fposition(1:2)+[fposition(3)-400 fposition(4)-400]/2;
fposition(3:4) = [400 400];

imagedata = imread('acalos_splashscreen.jpg');

h = figure('BusyAction','cancel',...			% create modal dialog window
   'Tag','acalos_splashscreen',...
   'menubar','none',...
   'Windowstyle', 'modal',...
   'Color',colorblk,...
   'Interruptible','off',...
   ... % added secure close
   ... % added Truetype
   'defaultUIControlFontname','Arial', ...
   'resize','off', ...
   'numbertitle','off', ...
   ... % change size once to avoid Matlab 6 modal window refresh bug
   'Name','About Adaptive Categorical Loudness Scaling for AFC', ...
   'position',fposition - [0 0 1 1] );
   

% change to default size again
set(h,'position',fposition);
   

c=image(imagedata);
set(get(c,'parent'),'position',[0 0 1 1],'box','off', ...
   'xtick',[0 1],'ytick',[0 1],'xticklabel',' | ','yticklabel','      |      ')

b = uicontrol ...
   ('Parent',h, ...
   'Units','normalized', ...
	'FontUnits','normalized', ...
	'BusyAction','cancel', ...
   'Callback','ACALOS_splashscreen(''accept'')', ...
	'Position',[0.09 0.022 0.03 0.03], ...
	'Style','checkbox', ...
	'selectionhighlight','off', ...
	'backgroundColor',colorbase,...
	'foregroundColor',colorstring,...
   'Tag','splashscreen_checkbox');


% eof